Bug 496656 - ext3 volume on SDHC can not be mounted on boot
ext3 volume on SDHC can not be mounted on boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 10:59 EDT by Sergei LITVINENKO
Modified: 2014-03-16 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Boot system fail because it is not possible to mount /opt (2.55 MB, image/jpeg)
2009-04-22 15:00 EDT, Sergei LITVINENKO
no flags Details
/dev/sdc1 in fstab, but it can not be mounted too (2.53 MB, image/jpeg)
2009-04-23 14:27 EDT, Sergei LITVINENKO
no flags Details

  None (edit)
Description Sergei LITVINENKO 2009-04-20 10:59:48 EDT
Description of problem:

Volume ext3 on sticker SDHC in '058f:6335 Alcor Micro Corp. SD/MMC Card Reader' can not be mounted on boot.

If volume is assigned in /etc/fstab, boot fail with message 'fsck.ext3: unable to resolve 'UUID=...'. Replacing UUID to /dev/sdc1 do not solve problem. 

But it is easy to mount it in /etc/rc.local or later, manually.

Version-Release number of selected component (if applicable):
initscripts-8.94-1.i586


How reproducible:
100%


Steps to Reproduce:
1. install SDHC card into Eee-PC-901 reader.
2. Prepare one ext3 volume.
3. Add this volume into /etc/fstab.
4. Reboot the system
  
Actual results:
System boot fail is sixth field is not 0 (fsck). If sixth field is '0', system can boot, but volume is not mounted.

Expected results:
Volume on sticker can be checked by fsck as any other volume and mounted on boot.

Additional info:
[root@eee901 ~]# cat /etc/fstab
...
UUID=26e49985-47b5-4340-af0d-02f6f49a2adc / ext3 defaults,noatime,nodiratime,commit=5 1 1
...
#UUID=fd36340e-7f50-4bca-83bb-1d0e33e7e588 /opt ext3 defaults,noatime,nodiratime,commit=5    1 2
#/dev/sdc1 /opt ext3    defaults,noatime,nodiratime,commit=5    1 2

[root@eee901 ~]# cat /etc/rc.d/rc.local
...
/bin/mount      /dev/sdc1       /opt
Comment 1 Bill Nottingham 2009-04-21 18:20:20 EDT
What's the error you get if you list the device explicitly?
Comment 2 Sergei LITVINENKO 2009-04-22 15:00:25 EDT
Created attachment 340791 [details]
Boot system fail because it is not possible to mount /opt
Comment 3 Sergei LITVINENKO 2009-04-22 15:02:18 EDT
>> What's the error you get if you list the device explicitly? 

I do not understand your question exactly

[root@eee901 ~]# fdisk /dev/sdc
...
Command (m for help): p

Disk /dev/sdc: 16.0 GB, 16071000064 bytes
64 heads, 32 sectors/track, 15326 cylinders
Units = cylinders of 2048 * 512 = 1048576 bytes
Disk identifier: 0x0d539503

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1               1       15326    15693808   83  Linux

Command (m for help): x

Expert command (m for help): p

Disk /dev/sdc: 64 heads, 32 sectors, 15326 cylinders

Nr AF  Hd Sec  Cyl  Hd Sec  Cyl     Start      Size ID
 1 00   1   1    0  63  32 1023         32   31387616 83
 2 00   0   0    0   0   0    0          0          0 00
 3 00   0   0    0   0   0    0          0          0 00
 4 00   0   0    0   0   0    0          0          0 00


Expert command (m for help): d
Device: /dev/sdc
0x000: EB 48 90 D0 BC 00 7C FB 50 07 50 1F FC BE 1B 7C
0x010: BF 1B 06 50 57 B9 E5 01 F3 A4 CB BD BE 07 B1 04
0x020: 38 6E 00 7C 09 75 13 83 C5 10 E2 F4 CD 18 8B F5
0x030: 83 C6 10 49 74 19 38 2C 74 F6 A0 B5 07 B4 03 02
0x040: FF 00 00 20 01 00 00 00 00 02 FA 90 90 F6 C2 80
0x050: 75 02 B2 80 EA 59 7C 00 00 31 C0 8E D8 8E D0 BC
0x060: 00 20 FB A0 40 7C 3C FF 74 02 88 C2 52 F6 C2 80
0x070: 74 54 B4 41 BB AA 55 CD 13 5A 52 72 49 81 FB 55
0x080: AA 75 43 A0 41 7C 84 C0 75 05 83 E1 01 74 37 66
0x090: 8B 4C 10 BE 05 7C C6 44 FF 01 66 8B 1E 44 7C C7
0x0A0: 04 10 00 C7 44 02 01 00 66 89 5C 08 C7 44 06 00
0x0B0: 70 66 31 C0 89 44 04 66 89 44 0C B4 42 CD 13 72
0x0C0: 05 BB 00 70 EB 7D B4 08 CD 13 73 0A F6 C2 80 0F
0x0D0: 84 F0 00 E9 8D 00 BE 05 7C C6 44 FF 00 66 31 C0
0x0E0: 88 F0 40 66 89 44 04 31 D2 88 CA C1 E2 02 88 E8
0x0F0: 88 F4 40 89 44 08 31 C0 88 D0 C0 E8 02 66 89 04
0x100: 66 A1 44 7C 66 31 D2 66 F7 34 88 54 0A 66 31 D2
0x110: 66 F7 74 04 88 54 0B 89 44 0C 3B 44 08 7D 3C 8A
0x120: 54 0D C0 E2 06 8A 4C 0A FE C1 08 D1 8A 6C 0C 5A
0x130: 8A 74 0B BB 00 70 8E C3 31 DB B8 01 02 CD 13 72
0x140: 2A 8C C3 8E 06 48 7C 60 1E B9 00 01 8E DB 31 F6
0x150: 31 FF FC F3 A5 1F 61 FF 26 42 7C BE 7F 7D E8 40
0x160: 00 EB 0E BE 84 7D E8 38 00 EB 06 BE 8E 7D E8 30
0x170: 00 BE 93 7D E8 2A 00 EB FE 47 52 55 42 20 00 47
0x180: 65 6F 6D 00 48 61 72 64 20 44 69 73 6B 00 52 65
0x190: 61 64 00 20 45 72 72 6F 72 00 BB 01 00 B4 0E CD
0x1A0: 10 AC 3C 00 75 F4 C3 00 00 00 00 00 00 00 00 00
0x1B0: 00 00 00 00 00 00 00 00 03 95 53 0D 00 00 00 01
0x1C0: 01 00 83 3F E0 FF 20 00 00 00 E0 EF DE 01 00 00
0x1D0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1E0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
0x1F0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 55 AA

Expert command (m for help): q


[root@eee901 ~]# dd if=/dev/sdc1 of=/dev/null bs=4096
3923452+0 records in
3923452+0 records out
16070459392 bytes (16 GB) copied, 849.932 s, 18.9 MB/s

[root@eee901 ~]# fsck.ext3 -f /dev/sdc1
e2fsck 1.41.4 (27-Jan-2009)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
sd16g: 3528/981120 files (0.8% non-contiguous), 2044523/3923452 blocks


[root@eee901 ~]# tune2fs -l /dev/sdc1
tune2fs 1.41.4 (27-Jan-2009)
Filesystem volume name:   sd16g
Last mounted on:          <not available>
Filesystem UUID:          fd36340e-7f50-4bca-83bb-1d0e33e7e588
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal ext_attr resize_inode dir_index filetype sparse_super large_file
Filesystem flags:         signed_directory_hash
Default mount options:    (none)
Filesystem state:         clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              981120
Block count:              3923452
Reserved block count:     196172
Free blocks:              1878929
Free inodes:              977592
First block:              0
Block size:               4096
Fragment size:            4096
Reserved GDT blocks:      957
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         8176
Inode blocks per group:   511
Filesystem created:       Sun Apr 12 22:05:04 2009
Last mount time:          Wed Apr 22 20:45:20 2009
Last write time:          Wed Apr 22 21:39:38 2009
Mount count:              0
Maximum mount count:      25
Last checked:             Wed Apr 22 21:39:38 2009
Check interval:           15552000 (6 months)
Next check after:         Mon Oct 19 21:39:38 2009
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:               256
Required extra isize:     28
Desired extra isize:      28
Journal inode:            8
Default directory hash:   half_md4
Directory Hash Seed:      a70973e7-8813-4616-a34b-9d55a7141624
Journal backup:           inode blocks
Comment 4 Bill Nottingham 2009-04-22 15:07:41 EDT
(In reply to comment #3)
> >> What's the error you get if you list the device explicitly? 
> 
> I do not understand your question exactly

If you explicitly list it as /dev/sdc1 instead of UUID=<whatever> in /etc/fstab, what errors do you get?
Comment 5 Sergei LITVINENKO 2009-04-23 13:36:31 EDT
I have system boot fail if /dev/sdc1 in /etc/fstab. See the file attach  
https://bugzilla.redhat.com/attachment.cgi?id=340791
Comment 6 Bill Nottingham 2009-04-23 13:49:26 EDT
That's using UUID=, not the device name directly. Can you just put the device name in fstab and capture the error?
Comment 7 Sergei LITVINENKO 2009-04-23 14:27:14 EDT
Created attachment 340980 [details]
/dev/sdc1 in fstab, but it can not be mounted too

We have the same result. See file attach
Comment 8 Bill Nottingham 2009-04-23 14:36:36 EDT
Do you know how the SD reader is attached? Is it USB?
Comment 9 Sergei LITVINENKO 2009-04-23 14:52:22 EDT
>> Do you know how the SD reader is attached? Is it USB? 

Yes, it is USB device.

[root@eee901 ~]# lsusb
Bus 001 Device 002: ID 058f:6335 Alcor Micro Corp. SD/MMC Card Reader
Comment 10 Sergei LITVINENKO 2009-05-21 15:15:11 EDT
Maybe I found problem. 

CardReader is not ready yet when /etc/fstab is in preparation.

How to check:

1. force fsck `> /forcefsck`
2. shutdown -r 0
3. partition on SD card is mounted from /etc/fstab success

4. shutdown -r 0
5. Partition is not recognized. Mount from /etc/fstab cause error

6. force fsck `> /forcefsck`
7. shutdown -r 0
8. Partition on SD card is mounted from /etc/fstab success again

So, if I understand OK, card-reader require some more time for stabilization.

---
Add info (current):

[root@eee901 ~]# uname -r
2.6.29.3-155.fc11.i586

[root@eee901 ~]# rpm -qa | grep DeviceKit
DeviceKit-003-1.i586
DeviceKit-disks-004-3.fc11.i586
DeviceKit-power-008-0.1.20090401git.fc11.i586
Comment 11 Bug Zapper 2009-06-09 10:13:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-04-27 09:48:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:07:07 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.